############################################################################
#
#  Program:         SuperLU_DIST
#
#  Module:          make.inc
#
#  Purpose:         Top-level Definitions
#
#  Creation date:   March 1, 2016	version 5.0.0
#
#  Modified:	    
#		    
#
############################################################################
#
#  The name of the libraries to be created/linked to
#
VERSION		= 5.1.3
SuperLUroot	= ${HOME}/Dropbox/Codes/SuperLU/SuperLU_DIST_${VERSION}
DSUPERLULIB   	= $(SuperLUroot)/lib/libsuperlu_dist.a

# BLASDEF 	= -DUSE_VENDOR_BLAS
BLASLIB   	= $(SuperLUroot)/lib/libblas.a

PARMETIS_DIR	:= ${HOME}/lib/static/parmetis-4.0.3
I_PARMETIS := -I${PARMETIS_DIR}/include -I${PARMETIS_DIR}/metis/include
METISLIB := -L${PARMETIS_DIR}/build/Darwin-x86_64/libmetis -lmetis
PARMETISLIB := -L${PARMETIS_DIR}/build/Darwin-x86_64/libparmetis -lparmetis

LIBS		= $(DSUPERLULIB) ${BLASLIB} ${PARMETISLIB} ${METISLIB}

#
#  The archiver and the flag(s) to use when building archive (library)
#  If your system has no ranlib, set RANLIB = echo.
#
ARCH         = /usr/bin/ar
ARCHFLAGS    = cr
RANLIB       = /usr/bin/ranlib

CC           = ${HOME}/mpich-install/bin/mpicc
CFLAGS 	     = -DNDEBUG -DAdd_ -DDEBUGlevel=0 -DPRNTlevel=1 -std=c99 -fPIC -g -O0 ${I_PARMETIS}
CFLAGS	     += -I${HOME}/mpich-install/include
# CFLAGS       += -D_LONGINT
# CFLAGS       +=  
NOOPTS       = -O0
FORTRAN	     = /usr/bin/gfortran

LOADER       = $(CC)
LOADOPTS     = #-Wl,-rpath=/home/xiaoye/Dropbox/Codes/SuperLU/SuperLU_DIST_${VERSION}/lib -g # -Wl,-Bdynamic
